【活用ガイド】

[English]

JVNDB-2014-000072

S2Struts において ClassLoader が操作可能な脆弱性

概要

特定非営利活動法人 Seasar ファウンデーションが提供する S2Struts は、Java のウェブアプリケーションを作成するためのソフトウェアフレームワークです。S2Struts は、ClassLoader が操作可能な脆弱性 (CVE-2014-0114) の影響を受ける Apache Struts を使用しています。そのため、S2Struts も同脆弱性の影響を受けます。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき次の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: サイボウズ株式会社

CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


特定非営利活動法人 Seasar ファウンデーション
  • S2Struts 1.3.1 およびそれ以前
  • S2Struts 1.2.12 およびそれ以前

想定される影響

S2Struts が動作しているサーバ上で、遠隔の第三者によって、情報を取得されたり、任意のコードを実行されたりするなどの可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

特定非営利活動法人 Seasar ファウンデーション
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 設計上の問題(CWE-DesignError) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2014-3893
参考情報

  1. JVN : JVN#19118282
更新履歴

[2014年07月15日]
  掲載